import { VuexModule } from "vuex-module-decorators";
import { CountingMessages, MessageFilterType } from "../types/CountingMessages";
import { UpdateCountingDto } from "../dto/UpdateCountingDto";
export default class CountingMessagesModule extends VuexModule {
    counting: CountingMessages;
    setCount(payload: UpdateCountingDto): void;
    increment(type: MessageFilterType): void;
    decrement(type: MessageFilterType): void;
    loadCounting(): void;
    initWebsocket(token: string): void;
}
